Bug 75673 - Ability to insert audio/video is shown in triplicate in Calc's insert menu
Summary: Ability to insert audio/video is shown in triplicate in Calc's insert menu
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: lowest trivial
Assignee: Joel Madero
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-02 16:08 UTC by Jean-François Fortin Tam
Modified: 2015-05-06 10:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (35.17 KB, image/png)
2014-03-02 16:08 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2014-03-02 16:08:48 UTC
Created attachment 94965 [details]
screenshot

I think the red highlighted text in the attached screenshot says it all :)

There should be only one option: insert "Audio/video". The app can figure out the rest.
Comment 1 m.a.riosv 2014-03-02 18:02:57 UTC
This options are there from OpenOffice times, maybe there is some difference between them, but I don't know which.
Comment 2 Joel Madero 2014-03-03 03:08:31 UTC
Confirmed:
Ubuntu 13.10
LibreOffice 4.2.1.1 release

I'll take care of it
Comment 3 Joel Madero 2014-11-06 04:20:04 UTC
Commited patch - will close as soon as it's pushed through to 4.4.
Comment 4 Commit Notification 2014-11-06 08:05:17 UTC
Joel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb52ff078d6007b731c511df4852abf3e610950e

fdo#75673 - Removed duplicate insert entries

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.